Update Pinterest board
curl --request PATCH \
--url https://api.social-api.ai/v1/accounts/{id}/boards/{boardId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Weeknight dinners",
"name": "Recipes",
"privacy": "PUBLIC"
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Weeknight dinners', name: 'Recipes', privacy: 'PUBLIC'})
};
fetch('https://api.social-api.ai/v1/accounts/{id}/boards/{boardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/{id}/boards/{boardId}"
payload = {
"description": "Weeknight dinners",
"name": "Recipes",
"privacy": "PUBLIC"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"board_id": "8828",
"id": "sapi_board_01HZ9X3Q4R5M6N7P8V2K0W1J",
"name": "Recipes",
"privacy": "PUBLIC"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Accounts
Update Pinterest board
Update a board. Privacy accepts only PUBLIC or SECRET.
PATCH
/
accounts
/
{id}
/
boards
/
{boardId}
Update Pinterest board
curl --request PATCH \
--url https://api.social-api.ai/v1/accounts/{id}/boards/{boardId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "Weeknight dinners",
"name": "Recipes",
"privacy": "PUBLIC"
}
'const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: 'Weeknight dinners', name: 'Recipes', privacy: 'PUBLIC'})
};
fetch('https://api.social-api.ai/v1/accounts/{id}/boards/{boardId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/accounts/{id}/boards/{boardId}"
payload = {
"description": "Weeknight dinners",
"name": "Recipes",
"privacy": "PUBLIC"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"board_id": "8828",
"id": "sapi_board_01HZ9X3Q4R5M6N7P8V2K0W1J",
"name": "Recipes",
"privacy": "PUBLIC"
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Body
application/json
Board update